org.jbpm.services.task.audit.variable

## Class StringTaskVariableIndexer

- java.lang.Object
- - org.jbpm.services.task.audit.variable.StringTaskVariableIndexer

- All Implemented Interfaces:
    org.kie.internal.task.api.TaskVariableIndexer, org.kie.internal.utils.VariableIndexer<org.kie.internal.task.api.TaskVariable>

      public class StringTaskVariableIndexer
      extends Object
      implements org.kie.internal.task.api.TaskVariableIndexer

  Simple and default indexer for all task variables. It will keep the same name of the variable and will generate string representation based on `variable.toString()` method this indexer is always added at the end of the chain of indexers to allow custom implementations take precedence over this one.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StringTaskVariableIndexer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `accept(Object variable)`
    `List<org.kie.internal.task.api.TaskVariable>` | `index(String name, Object variable)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StringTaskVariableIndexer

          public StringTaskVariableIndexer()

  - ### Method Detail

    - #### accept

          public boolean accept(Object variable)

      Specified by:
        `accept` in interface `org.kie.internal.utils.VariableIndexer<org.kie.internal.task.api.TaskVariable>`

    - #### index

          public List<org.kie.internal.task.api.TaskVariable> index(String name,
                                                                    Object variable)

      Specified by:
        `index` in interface `org.kie.internal.utils.VariableIndexer<org.kie.internal.task.api.TaskVariable>`

Copyright © 2001–2020 JBoss by Red Hat. All rights reserved.